org.apache.cassandra.db

## Class SimpleBuilders.RowBuilder

- java.lang.Object
- - org.apache.cassandra.db.SimpleBuilders.RowBuilder

All Implemented Interfaces:
  Row.SimpleBuilder

Enclosing class:
  SimpleBuilders

    public static class SimpleBuilders.RowBuilder
    extends java.lang.Object
    implements Row.SimpleBuilder

### Constructor Summary

Constructors
Constructor and Description
`RowBuilder(CFMetaData metadata, java.lang.Object... clusteringColumns)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Row.SimpleBuilder` `add(java.lang.String columnName, java.lang.Object value)` Adds a value to a given column.
`Row.SimpleBuilder` `appendAll(java.lang.String columnName, java.lang.Object value)` Appends new values to a given non-frozen collection column.
`Row` `build()` Returns the built row.
`Row.SimpleBuilder` `delete()` Deletes the whole row.
`Row.SimpleBuilder` `delete(java.lang.String columnName)` Removes the value for a given column (creating a tombstone).
`Row.SimpleBuilder` `noPrimaryKeyLivenessInfo()` Don't include any primary key `LivenessInfo` in the built row.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.db.rows.Row.SimpleBuilder

`timestamp, ttl`

### Constructor Detail

#### RowBuilder

    public RowBuilder(CFMetaData metadata,
                      java.lang.Object... clusteringColumns)

### Method Detail

#### add

    public Row.SimpleBuilder add(java.lang.String columnName,
                                 java.lang.Object value)

Description copied from interface: `Row.SimpleBuilder`
Adds a value to a given column.

Specified by:
  `add` in interface `Row.SimpleBuilder`
Parameters:
  `columnName` - the name of the column for which to add a new value.
  `value` - the value to add, which must be of the proper type for `columnName`. This can be `null` in which case the this is equivalent to `delete(columnName)`.
Returns:
  this builder.

#### appendAll

    public Row.SimpleBuilder appendAll(java.lang.String columnName,
                                       java.lang.Object value)

Description copied from interface: `Row.SimpleBuilder`
Appends new values to a given non-frozen collection column.

This method is similar to `add()` but the collection elements added through this method are "appended" to any pre-exising elements. In other words, this is like `add()` except that it doesn't delete the previous value of the collection. This can only be called on non-frozen collection columns.

Note that this method can be used in replacement of `add()` if you know that there can't be any pre-existing value for that column, in which case this is slightly less expensive as it avoid the collection tombstone inherent to `add()`.

Specified by:
  `appendAll` in interface `Row.SimpleBuilder`
Parameters:
  `columnName` - the name of the column for which to add a new value, which must be a non-frozen collection.
  `value` - the value to add, which must be of the proper type for `columnName` (in other words, it must be a collection).
Returns:
  this builder.

#### delete

    public Row.SimpleBuilder delete()

Description copied from interface: `Row.SimpleBuilder`
Deletes the whole row.

If called, this is generally the only method called on the builder (outside of `timestamp()`.

Specified by:
  `delete` in interface `Row.SimpleBuilder`
Returns:
  this builder.

#### delete

    public Row.SimpleBuilder delete(java.lang.String columnName)

Description copied from interface: `Row.SimpleBuilder`
Removes the value for a given column (creating a tombstone).

Specified by:
  `delete` in interface `Row.SimpleBuilder`
Parameters:
  `columnName` - the name of the column to delete.
Returns:
  this builder.

#### noPrimaryKeyLivenessInfo

    public Row.SimpleBuilder noPrimaryKeyLivenessInfo()

Description copied from interface: `Row.SimpleBuilder`
Don't include any primary key `LivenessInfo` in the built row.

Specified by:
  `noPrimaryKeyLivenessInfo` in interface `Row.SimpleBuilder`
Returns:
  this builder.

#### build

    public Row build()

Description copied from interface: `Row.SimpleBuilder`
Returns the built row.

Specified by:
  `build` in interface `Row.SimpleBuilder`
Returns:
  the built row.